Subject: [Sip] FW: I-D ACTION:draft-audet-sip-sips-guidelines-02.txt

From: "Francois Audet" <[email-masked]>
Date: Tue, 4 Jul 2006 19:39:20 -0500

Another update, including more feedback from the list.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, June 27, 2006 12:50
> To: [email-masked]
> Subject: I-D ACTION:draft-audet-sip-sips-guidelines-02.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
> 	Title		: Guidelines for the use of the SIPS 
> URI Scheme in the Session Initiation Protocol (SIP)
> 	Author(s)	: F. Audet
> 	Filename	: draft-audet-sip-sips-guidelines-02.txt
> 	Pages		: 24
> 	Date		: 2006-6-27
> 	
> This document provides clarifications and guidelines concerning the
>    use of SIPS URI Scheme in the Session Initiation Protocol (SIP).
> 
> A URL for this Internet-Draft is: 
> http://www.ietf.org/internet-drafts/draft-audet-sip-sips-guide
lines-02.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of
the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the
username "anonymous" and a password of your e-mail address. After
logging in, type "cd internet-drafts" and then
	"get draft-audet-sip-sips-guidelines-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-audet-sip-sips-guidelines-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Wed, 5 Jul 2006 08:58:26 +0200

Francois,

Perhaps I've mentioned this before, but the registration of multiple 
Contacts (one per transport) to indicate which transports are supported is 
not workable: usage of different q-values does not stop a proxy from doing 
parallel forking. And there are other considerations, for example callee 
capabilities would have to be repeated for each contact, making the request 
bulky

In any case, it seems that transport support/selection is a different issue 
than sip-sips, and should be left out of scope.

For the three cases that you mention:

o  AOR is to be reachable only with secure transport
Contact: <sips:[email-masked]>;schemes="sips", RFC3263 section 4.1 
says that TCP SHOULD be chosen as transport, and "sips" implies TLS. Since 
"sip" is not included, a downgrade is not allowed

o  AOR is to be reachable preferably with secure transport
Contact: <sips:[email-masked]>;schemes="sips,sip"

o  AOR is to be reachable only without secure transport
Contact: <sip:[email-masked]>;schemes="sip"

The definition of "implicit preferences" (RFC3841 section 7.2.2) might have 
to be extended to include scheme considerations for contact selection to 
work properly. Also, it should be defined that when explicit capabilities 
are provided, a proxy must not rewrite to a scheme that is not indicated.

Some nits:
- the URIs used in REGISTER throughout the draft should be 
"{sip/sips}:example.com", without 'transport' parameter and without 
"registrar."
- Contacts in REGISTER responses MUST reflect all Contact header parameters 
(including 'q')
- "If a UAS does not support SIPS, it MUST reject a request over TLS with 
response code 416" (section 6): Though not strictly necessary, since SIPS 
implies TLS one reason for "not support SIPS" here could be that TLS is not 
supported. In such a case, it will be impossible for the UAS to respond to 
an incoming request over TLS. Perhaps the domain proxy would be the element 
responding with 416 here?

Regards,

Jeroen

----- Original Message ----- 
From: "Francois Audet" <[email-masked]>
To: "IETF SIP List" <[email-masked]>
Sent: Wednesday, July 05, 2006 2:39 AM
Subject: [Sip] FW: I-D ACTION:draft-audet-sip-sips-guidelines-02.txt

lines-02.txt

Send a message to:
[email-masked].
In the body type:

--------------------------------------------------------------------------------

---

From: <[email-masked]>
Date: Fri, 7 Jul 2006 16:22:44 +0530

Comment on content of Section 3:

      TLS MAY be used between Proxy B and UA b@B, depending on local
      policy.

   Because B is responsible for it's own security policy inside it's own
   domain, it could use some other security mechanism.  For example, it
   could be using IPsec, or some lower-layer security mechanism.

<my_comment>
It is not just B that needs security, it might be A who wants the
security too.
A might decide not to call B if there were no SIPS.
Thus it might not be ok to leave the decision to B to decide if he wants
to use TLS.
</my_comment>

--
 
Ravishankar. G. Shiroor
Wipro Technologies, Bangalore.
 
[email-masked]
--

> From: Francois Audet [mailto:[email-masked]] 
> Sent: Wednesday, July 05, 2006 6:09 AM
> To: IETF SIP List
> > A New Internet-Draft is available from the on-line Internet-Drafts 
> > directories.
> > 
> > 
> To remove yourself from the I-D Announcement list, send a 
> message to [email-masked] with the word 
> unsubscribe in the body of the message.  
> Internet-Drafts are also available by anonymous FTP. Login 
> with the username "anonymous" and a password of your e-mail 
> address. After logging in, type "cd internet-drafts" and then
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
>